#==========================================================
# Icons --
#
#   handles some extra PGA icons not otherwise handled
#==========================================================
namespace eval Icons {}


#----------------------------------------------------------
# ::Icons::getIcon --
#
#   retrieves the icon for a widget, based on its class name
#   (used to be in the Forms namespace)
#
# Arguments:
#   class_  class name of a widget (entry, button, etc.)
#
# Returns:
#   the data for the icon
#----------------------------------------------------------
#
proc ::Icons::getIcon {class_} {

    global PgAcVar

    set _icon ""

    # there are lots of exceptions :(

    if {$class_=="radio"} {
        set _icon [image create photo "icon_radiobutton" \
            -file [file join $PgAcVar(PGACCESS_HOME) images icon_radiobutton.gif]]
    } elseif {$class_=="checkbox"} {
        set _icon [image create photo "icon_checkbutton" \
            -file [file join $PgAcVar(PGACCESS_HOME) images icon_checkbutton.gif]]
    } elseif {$class_=="subform"} {
        set _icon $::Mainlib::img(Forms)
    } elseif {$class_=="image"} {
        set _icon $::Mainlib::img(Images)
    } elseif {$class_=="notebook"} {
        set _icon ::icon::contents-16
    } else {
        set _icon [image create photo "icon_$class_" \
            -file [file join $PgAcVar(PGACCESS_HOME) images icon_$class_.gif]]
    }

    return $_icon

}; # end proc ::Icons::getIcon


#----------------------------------------------------------
# ::Icons::getImage --
#
#   makes turning any old image into an icon easier,
#   provided the image is put in the images directory
#
# Parameters:
#   img_    name of the image file
#----------------------------------------------------------
proc ::Icons::getImage {img_} {

    global PgAcVar

    return [image create photo "$img_" \
        -file [file join $PgAcVar(PGACCESS_HOME) images $img_.gif]]

}; # end proc::getImage


